import 'package:flutter/material.dart';
import '../models/device_model.dart';
import '../constants.dart';

class DeviceProvider extends ChangeNotifier {
  // Unsere Dummy-Listen
  List<LasertagDevice> get dummyLeaders => [
    LasertagDevice(id: "L-01", name: "EdiLeader Alpha", type: LasertagUUIDs.typeLeader),
    LasertagDevice(id: "L-02", name: "Säntis Funker", type: LasertagUUIDs.typeLeader),
  ];

  List<LasertagDevice> get dummyEquip => [
    LasertagDevice(id: "W-01", name: "Blaster 1", type: LasertagUUIDs.typeWeapon),
    LasertagDevice(id: "V-01", name: "Weste Blau", type: LasertagUUIDs.typeVest),
    LasertagDevice(id: "B-01", name: "Basis Mitte", type: LasertagUUIDs.typeBeacon),
  ];
}